#ifndef COMMUNICATE_H
#define COMMUNICATE_H

#include <Util.h>

struct FrameBuffer {
    ~FrameBuffer();
    std::string fid;
    std::string tid;
    char* data{};
    int len{};
};

class Communicate
{
public:
    Communicate();

public:
    static FrameBuffer* ParseBuffer(MutBuffer& buffer);
    static bool PackBuffer(FrameBuffer* frame, char** buf, int& len);
};

#endif   // COMMUNICATE_H